@charset "UTF-8";

body {
	max-width: 480px;
	width: 100%;
	min-height: 100vh;
	background-color: #ffffff;
	color: #666666;
	margin: 0 auto;
	font-family: 'M PLUS Rounded 1c', sans-serif;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='40' height='40' viewBox='0 0 40 40'%3E%3Cg fill-rule='evenodd'%3E%3Cg fill='%2388f1d6' fill-opacity='0.4'%3E%3Cpath d='M0 38.59l2.83-2.83 1.41 1.41L1.41 40H0v-1.41zM0 1.4l2.83 2.83 1.41-1.41L1.41 0H0v1.41zM38.59 40l-2.83-2.83 1.41-1.41L40 38.59V40h-1.41zM40 1.41l-2.83 2.83-1.41-1.41L38.59 0H40v1.41zM20 18.6l2.83-2.83 1.41 1.41L21.41 20l2.83 2.83-1.41 1.41L20 21.41l-2.83 2.83-1.41-1.41L18.59 20l-2.83-2.83 1.41-1.41L20 18.59z'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}

li {
	list-style: none;
}

ul {
	padding: 0;
	margin: 0;
}

.task-score {
	color: #88f1d6;
	text-align: center;
	font-size: large;
	font-weight: bold;
	letter-spacing: 2px;
}

.form-inner {
	padding: 10px;
	display: flex;
	gap: 10px;
	justify-content: center;
}

#footer-container {
	background-color: white;
	position: fixed;
	bottom: 0;
	right: 0;
	left: 0;
	max-width: 480px;
	margin: 0 auto;
}

#tasks {
	text-align: center;
	padding-bottom: 70px;
	background-image: linear-gradient(rgba(255, 255, 255, 0.5)), url(/images/upa23.png);
	background-size: contain;
	min-height: 100vh;
}

header {
	padding: 30px 15px;
	display: flex;
	justify-content: space-between;
	background-color: #ffffff;
}

.task-button {
	width: 100%;
	color: white;
	cursor: pointer;
	background-color: #88f1d6;
}


.input-form {
	color: white;
	background-color: #88f1d6;
	border-radius: 5px;
}

.bi {
	color: #88f1d6;
}

.task-button.is-done {
	color: #f8c5cf;
	background-color: transparent;
	animation: bounceIn 0.5s;
}

.task-row {
	display: flex;
	align-items: center;
	margin-left: 10px;
}

input,
textarea,
button {
	background-color: transparent;
	appearance: none;
	border: none;
	resize: none;
	outline: none;
}

.edit-task {
	margin: 5px;
	width: 100%;
}

.edit-task textarea {
	border: solid #f8c5cf;
	border-radius: 5px;
	width: 90%;
}

.edit-task textarea:focus {
	background-color: #ffffff;
}

.header-edit {
	justify-content: flex-end;
}

.header-menu {
	justify-content: flex-start;
}

.header-menu .bi {
	stroke: #88f1d6;
	stroke-width: 2px;
	fill: white;
	paint-order: stroke fill;
}

.menu-row {
	display: flex;
	align-items: center;
	justify-content: space-evenly;
	border-top: 2px solid #88f1d6;
	border-bottom: 2px solid #88f1d6;
	background-color: #ffffff;
}

.switch {
	position: relative;
	display: inline-block;
	width: 50px;
	height: 28px;
	background-color: #ccc;
	border-radius: 100px;
	transition: background-color 0.3s;
	text-decoration: none;

}

.slider {
	position: absolute;
	top: 3px;
	left: 3px;
	width: 22px;
	height: 22px;
	background-color: white;
	border-radius: 50%;
	transition: transform 0.3s;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

.switch.active {
	background-color: #f8c5cf;
}

.switch.active .slider {
	transform: translateX(22px);
}

.toggle-container {
	display: flex;
	align-items: center;
	gap: 10px;
}

.top-button-container {
	display: flex;
	justify-content: space-evenly;
}

.top-contents {
	display: flex;
	justify-content: center;
	min-height: 100vh;
	align-items: center;
	flex-direction: column;
	text-align: center;
}

.top-contents h1 {
	text-align: center;
	background-color: #ffffff;
	padding: 30px 50px;
	border: 5px dotted;
	border-radius: 5px;
}

.logo {
	display: flex;
	flex-direction: column;
}

.denominator {
	padding-top: 5px;
}

.numerator {
	border-bottom: 5px solid;
	padding-bottom: 5px;
}

.top-button {
	border: 2px solid #88f1d6;
	border-radius: 5px;
	padding: 10px;
	background-color: #ffffff;
	text-decoration: none;
	margin: 10px 10px;
	display: inline-block;
	color: #666666;
}

.top-button:hover {
	border: 3px solid #f8c5cf;
	color: #f8c5cf;
}

.input-text {
	background-color: #ffffff;
	border: 1px solid;
	border-radius: 5px;
}

.row {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 15px;
	margin: 15px 0;
}

.row label {
	width: 100px;
	text-align: right;
}

h2 {
	margin-bottom: 50px;
}

.top-wrapper {
	background-color: #ffffff;
	width: 100%;
	max-width: 400px;
	padding: 30px;
	border: 5px dotted;
}

.row-password {
	display: flex;
	flex-direction: column;
}

.row-password span {
	text-align: center;
}

.edit-menu-main {
	background-color: #ffffff;
	min-height: 100vh;
	background-image: linear-gradient(rgba(255, 255, 255, 0.5)), url(/images/upa23.png);
	background-size: contain;
}

textarea {
	width: 80%;
}

svg.bi.bi-trash:hover {
	color: #666666;
	stroke: #666666;
	stroke-width: 0.5px;
}

p.error-message {
    font-size: x-small;
    color: #ed1818;
	}